<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title> MobiDoc | Completed Appointments </title>
    <link rel="stylesheet" href="../styles/Nav_bar.css">

    <link rel="apple-touch-icon" sizes="180x180" href="../../favicon/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="../../favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="../../favicon/favicon-16x16.png">
    <link rel="manifest" href="../../favicon/site.webmanifest">

    <!-- The core Firebase JS SDK is always required and must be listed first -->
    <script src="https://www.gstatic.com/firebasejs/8.6.1/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/8.6.1/firebase-auth.js"></script>
    <script src="https://www.gstatic.com/firebasejs/8.6.1/firebase-database.js"></script>
    <script src="https://www.gstatic.com/firebasejs/8.6.1/firebase-analytics.js"></script>
    <link type="text/css" rel="stylesheet" href="https://www.gstatic.com/firebasejs/ui/4.8.0/firebase-ui-auth.css" />
    <link rel="stylesheet" href="../styles/appointments.css" />

</head>
<body>

    
<!--Nav bar-->
<div class="wrapper">
    <nav>
        <input type="checkbox" id="show-search">
        <input type="checkbox" id="show-menu">
        <label for="show-menu" class="menu-icon"><i class="fas fa-bars"></i></label>
        <div class="content">
            <div class="logo"><a href="#">MobiDoc</a></div>
            <ul class="links">
                <li><a href="../home.html">Home</a></li>
                <li><a href="../profile.html">Profile</a></li>
                <li><a href="../booking.html">Book Consultation</a></li>
                <li><a href="#" style="color: transparent">some blank string for some formatting so that it looks nice</a></li>
                <li>
                    <a href="../appointments.html" class="desktop-link">Appointments</a>
                    <input type="checkbox" id="show-features">
                    <label for="show-features">Appointments</label>
                    <ul>
                        <li><a href="AcceptedAppointments.html">Accepted Appointments</a></li>
                        <li><a href="RejectedAppointments.html">Rejected Appointments</a></li>
                        <li><a href="PendingAppointments.html">Pending Appointment</a></li>
                        <li><a href="CompletedAppointments.html">Completed Appointments</a></li>
                    </ul>
                </li>
            </ul>
        </div>
    </nav>
</div>
<script>

    let firebaseConfig = {
        apiKey: "AIzaSyB-ckD1wmZWj5c7RQIOyBvwFmQApBfEEMU",
        authDomain: "mobidoc-6a3ac.firebaseapp.com",
        databaseURL: "https://mobidoc-6a3ac-default-rtdb.firebaseio.com/",
        projectId: "mobidoc-6a3ac",
        storageBucket: "mobidoc-6a3ac.appspot.com",
        messagingSenderId: "311373483549",
        appId: "1:311373483549:web:3c840b29b14029ac4680f4",
        measurementId: "G-JFPKMPTGZ5"
    };
    // Initialize Firebase
    firebase.initializeApp(firebaseConfig);

</script>
<script src="../scripts/CompletedAppointments.js"></script>
<div style="padding-bottom: 100px"></div>
<dl id="appList">
</dl>

</body>
<script>
    // Appointment list

    firebase.auth().onAuthStateChanged(function (user) {
        if (user) {
            getAppointmentDetails(user.uid);
        }
        else {
            // No user is signed in.
            window.location.href = "../../index.html";
        }
    });

    const getAppointmentDetails = (uid) => {
        let appList = document.getElementById("appList");
        let database = firebase.database();
        let ref = database.ref().child('Appointments');
        ref.orderByKey().once("value",snapshot => {
            if (snapshot.exists()){
                snapshot.forEach(function(childSnapshot) {
                    let app = childSnapshot.val();
                    if (uid === app.patientUid && app.status === "completed") {
                    // if (app.status === "completed") {
                        appList.innerHTML +=
                            "<div class='card' >"+
                            "<span class='completed'>Completed</span>" +
                            "<h2>Appointment with " + app.doctor_Name + "</h2>" +
                            "<p>" + app.date_for_appointment + " - " + app.time_for_appointment + "</p>" +
                            "<table>" +
                            "<tr>" +
                            "<th>Appointment notes: </th>" +
                            "<td>" + app.notes + "</td>" +
                            "</tr>" +
                            "<tr>" +
                            "<th>Consulation cost: </th>" +
                            "<td>" + app.appointment_Cost + "</td>" +
                            "</tr>" +
                            "<tr>" +
                            "<th>Reason for appointment: </th>" +
                            "<td>" + app.reason_for_appointment + "</td>" +
                            "</tr>" +
                            "</table>"
                            +"</div>"
                            +"<br/>"
                        ;
                    }
                });
            }
        });
    }

    // nav bar

</script>
</html>